Bug 2175811 - [abrt] yelp: document_callback(): yelp killed by SIGSEGV
Summary: [abrt] yelp: document_callback(): yelp killed by SIGSEGV
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: yelp
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a4354d2568614c470db1a43afbf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-03-06 15:22 UTC by Kamil Páral
Modified: 2024-05-07 15:58 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.40 KB, text/plain)
2023-03-06 15:22 UTC, Kamil Páral
no flags Details
File: maps (3.97 KB, text/plain)
2023-03-06 15:22 UTC, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2023-03-06 15:22 UTC, Kamil Páral
no flags Details
File: environ (2.39 KB, text/plain)
2023-03-06 15:22 UTC, Kamil Páral
no flags Details
File: open_fds (5.33 KB, text/plain)
2023-03-06 15:22 UTC, Kamil Páral
no flags Details
File: mountinfo (3.86 KB, text/plain)
2023-03-06 15:22 UTC, Kamil Páral
no flags Details
File: os_info (756 bytes, text/plain)
2023-03-06 15:22 UTC, Kamil Páral
no flags Details
File: cpuinfo (2.78 KB, text/plain)
2023-03-06 15:22 UTC, Kamil Páral
no flags Details
File: core_backtrace (59.75 KB, text/plain)
2023-03-06 15:22 UTC, Kamil Páral
no flags Details
File: exploitable (81 bytes, text/plain)
2023-03-06 15:22 UTC, Kamil Páral
no flags Details
File: var_log_messages (11.38 KB, text/plain)
2023-03-06 15:22 UTC, Kamil Páral
no flags Details
File: backtrace (134.42 KB, text/plain)
2023-03-06 15:22 UTC, Kamil Páral
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME yelp issues 210 0 None opened Yelp fails on Gnome 44 when switching dark mode on/off 2023-03-09 10:34:17 UTC

Description Kamil Páral 2023-03-06 15:22:07 UTC
Description of problem:
I had Acccessibility Help opened and I enabled High Contrast in Settings -> Accessibility. The first it replaced the document with a sad face, that it can't be rendered. After I reopened Help and tried again, the whole Help crashed after enabling High Contrast.

Version-Release number of selected component:
yelp-2:42.2-2.fc38

Additional info:
reporter:       libreport-2.17.8
type:           CCpp
reason:         yelp killed by SIGSEGV
journald_cursor: s=f14ac85b1ea64de087f79c5fe57e0ea5;i=12abce;b=cdbd1bf69de04d41a66d144057234d85;m=1dc5d35ac;t=5f63cc4bd324d;x=d9e1efc005c5e5df
executable:     /usr/bin/yelp
cmdline:        /usr/bin/yelp help:gnome-help/a11y
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/dbus-:1.2-org.gnome.Settings.SearchProvider
rootdir:        /
uid:            1000
kernel:         6.2.2-300.fc38.x86_64
package:        yelp-2:42.2-2.fc38
runlevel:       N 5
dso_list:       /usr/bin/yelp yelp-2:42.2-2.fc38.x86_64 (Fedora Project) 1678091587
backtrace_rating: 4
crash_function: document_callback
comment:        I had Acccessibility Help opened and I enabled High Contrast in Settings -> Accessibility. The first it replaced the document with a sad face, that it can't be rendered. After I reopened Help and tried again, the whole Help crashed after enabling High Contrast.

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 document_callback at libyelp/yelp-view.c:783
 #1 request_idle_contents at libyelp/yelp-document.c:1442
 #5 g_main_context_iterate.isra.0 at ../glib/gmain.c:4276
 #6 g_main_context_iteration at ../glib/gmain.c:4343
 #7 g_application_run at ../gio/gapplication.c:2573
 #8 __libc_start_call_main at ../sysdeps/nptl/libc_start_call_main.h:58
 #9 __libc_start_main_impl at ../csu/libc-start.c:360
 #10 _start

Comment 1 Kamil Páral 2023-03-06 15:22:10 UTC
Created attachment 1948405 [details]
File: proc_pid_status

Comment 2 Kamil Páral 2023-03-06 15:22:12 UTC
Created attachment 1948406 [details]
File: maps

Comment 3 Kamil Páral 2023-03-06 15:22:14 UTC
Created attachment 1948407 [details]
File: limits

Comment 4 Kamil Páral 2023-03-06 15:22:15 UTC
Created attachment 1948408 [details]
File: environ

Comment 5 Kamil Páral 2023-03-06 15:22:17 UTC
Created attachment 1948409 [details]
File: open_fds

Comment 6 Kamil Páral 2023-03-06 15:22:19 UTC
Created attachment 1948410 [details]
File: mountinfo

Comment 7 Kamil Páral 2023-03-06 15:22:21 UTC
Created attachment 1948411 [details]
File: os_info

Comment 8 Kamil Páral 2023-03-06 15:22:23 UTC
Created attachment 1948412 [details]
File: cpuinfo

Comment 9 Kamil Páral 2023-03-06 15:22:25 UTC
Created attachment 1948413 [details]
File: core_backtrace

Comment 10 Kamil Páral 2023-03-06 15:22:27 UTC
Created attachment 1948414 [details]
File: exploitable

Comment 11 Kamil Páral 2023-03-06 15:22:29 UTC
Created attachment 1948415 [details]
File: var_log_messages

Comment 12 Kamil Páral 2023-03-06 15:22:31 UTC
Created attachment 1948416 [details]
File: backtrace

Comment 13 Kamil Páral 2023-03-09 10:34:18 UTC
This is likely relevant.

Comment 14 Kamil Páral 2023-03-09 10:34:53 UTC
Sigh, I wanted to add a link as well:
https://gitlab.gnome.org/GNOME/yelp/-/issues/210

Comment 15 Aoife Moloney 2024-05-07 15:58:38 UTC
This message is a reminder that Fedora Linux 38 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 38 on 2024-05-21.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '38'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 38 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.


Note You need to log in before you can comment on or make changes to this bug.